package viptool.base.action;

import java.awt.event.ActionEvent;
import java.util.Iterator;

import viptool.base.gui.selection.IAbstractFileSelection;
import viptool.base.gui.selection.ISelection;
import viptool.project.IAbstractFile;

public class AbstractFileSelectionAction extends SelectionAction
{
    public void setSelection(ISelection selection)
    {
        if(selection instanceof IAbstractFileSelection)
        {
            super.setSelection(selection);
        }
        else
        {
            System.err.println("AbstractFileSelectionAction received a "
                    + "ISelection object that is not an "
                    + "IAbstractFileSelection!");
        }
    }

    public void actionPerformed(ActionEvent event, IAbstractFileSelection selection)
    {
        
    }
    
    public void actionPerformed(ActionEvent event, IAbstractFile selectedFile)
    {
        
    }
    
    
    public void actionPerformed(ActionEvent event)
    {
        Iterator it;

        actionPerformed(event, (IAbstractFileSelection)getSelection());

        it = getSelection().iterator();
        while (it.hasNext())
        {
            actionPerformed(event, (IAbstractFile)it.next());
        }
    }

}
