package viptool.base.action;

import java.awt.event.ActionListener;

import javax.swing.JComboBox;
import javax.swing.JSlider;
import javax.swing.JTextField;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

public abstract class ExtendedToolbarAction extends WindowAction implements ChangeListener, ActionListener {

	/**
	 * This method can be used to init the JSlider control element.
	 * 
	 * @param slider
	 * 		reference to the JSlider
	 */
	public void initSlider(JSlider slider){
		
	}

	/**
	 * This method can be used to init the JCombobox control element.
	 * 
	 * @param box
	 */
	public void initCombobox(JComboBox box){
		
	}
	
	/**
	 * This method can be used to init the JTextfield control element.
	 * 
	 * @param field
	 */
	public void initTextfield(JTextField field){
		
	}
	
	/**
	 * This method is part of the ChangeListener interface
	 */
	public void stateChanged(ChangeEvent e){
		
	}
	
}
