package viptool.base.error;

import viptool.base.io.IFileLocker;

public class FileAlreadyLockedException extends VipToolException
{
    private IFileLocker fileLocker_;

    public FileAlreadyLockedException(String message, IFileLocker locker)
    {
        super(message + " Locked by " + locker);
        fileLocker_ = locker;
    }

    public IFileLocker getFileLocker()
    {
        return fileLocker_;
    }
}
