package viptool.base.gui.selection;

import java.util.ArrayList;

/**
 * A SelectionFilter decides, if a selection of files is accepted. 
 */
public interface ISelectionFilter
{
    public static final String ATTR_MINIMUM_MATCHES = "MinimumMatches";

    public static final String ATTR_MAXIMUM_MATCHES = "MaximumMatches";

    public boolean isSeletcionAccepted(ArrayList selection);

    public void setMinimumMatches(int minimumMatches);

    public void setMaximumMatches(int maximumMatches);

    public int getMinimumMatches();

    public int getMaximumMatches();
}
