package viptool.base.gui.toolbar;

import java.awt.Component;

import javax.swing.JToolBar;

import viptool.base.action.ExtendedAction;
import viptool.base.gui.toolbar.event.IExtendedToolBarListener;

public interface IExtendedToolBar
  {
    public ExtendedAction addToolBarItem(String id, String group, String insertAt, int seek);
    
    public ExtendedAction removeToolBarItem(String id);
    
    public void addExtendedToolBarListener(IExtendedToolBarListener listener);
    
    public void removeExtendedToolBarListener(IExtendedToolBarListener listener);
    
    public Component getToolBarItem(String id);
    
    public JToolBar getToolBar();
  }
