package viptool.base.io.event;

import viptool.base.editor.IEditor;
import viptool.project.IAbstractFile;

public class IFileIOEvent
{
    private IAbstractFile file_;
    private IEditor       editor_;
    
    public IFileIOEvent(IAbstractFile file, IEditor editor)
    {
        file_ = file;
        editor_ = editor;
    }
    
    public IEditor getEditor()
    {
        return editor_;
    }
    
    public IAbstractFile getAbstractFile()
    {
        return file_;
    }
}
