package viptool.impl.base.gui.layoutmanager.listlayout;


/**
 * This interface defines the communication between the ListLayout and 
 * the list components.
 */
public interface ListLayoutSelectionSupport {

	/**
	 * This method should return the current selection state of the component.
	 * If it returns true the component is affected by operations on selected
	 * components.
	 * 
	 * @return
	 * 		selection of the component as boolean
	 */
	public boolean isSelected();
	
}
