package viptool.impl.base.gui.list;

import java.awt.Component;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;
import javax.swing.ListCellRenderer;
import javax.swing.ListModel;

public class ChangeableListRenderer implements ListCellRenderer{

	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
		
		DefaultListCellRenderer renderer = new DefaultListCellRenderer();
		
		String text = value.toString();
		ListModel model = list.getModel();
		if(model instanceof ChangeableListModel){
			Object obj = ((ChangeableListModel)model).getObjectForElement(value);
			if(obj != null){
				text = text + " " + obj.toString();
			}
		}
		
		return renderer.getListCellRendererComponent(list, text, index, isSelected, cellHasFocus);
	}

}
