package viptool.impl.base.gui.menu;

import javax.swing.JMenuBar;

import viptool.base.gui.menu.IExtendedMenuBar;
import viptool.base.gui.menu.event.IExtendedMenuListener;

/**
 * The extended menu bar is a menu bar that can listen to a template and changes
 * itself if the template is changed.
 */
public class ExtendedMenuBar extends ExtendedMenu implements IExtendedMenuBar,
        IExtendedMenuListener
{
    public ExtendedMenuBar(int instance)
    {
        super(new JMenuBar(), instance);
    }

    public JMenuBar getMenuBar()
    {
        return (JMenuBar)getRootElement();
    }
}
