package viptool.impl.project.action;

import java.awt.event.ActionEvent;

import viptool.base.action.AbstractFileSelectionAction;
import viptool.impl.base.Workbench;
import viptool.project.IAbstractFile;
import viptool.project.IAbstractFolder;

/**
 * This action close the select element.
 */
public class CloseElementAction extends AbstractFileSelectionAction
{
    public void actionPerformed(ActionEvent event, IAbstractFile selectedFile)
    {
        if(selectedFile.getProject().getAbstractFile() == selectedFile)
        {
            // the selected element is a project
        }
        else if(selectedFile instanceof IAbstractFolder)
        {
            // the seleceted element is a folder
        }
        else
        {
            // the selected element is a normal file
            Workbench.getInstance().closeAllEditors(selectedFile, false);
        }
    }
}
