package viptool.impl.project.action;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import viptool.base.action.WindowAction;
import viptool.impl.util.resources.ResourceLoader;
import viptool.util.Locale;
import viptool.util.resources.ResourceConstants;

public class CloseWorkspaceAction extends WindowAction{

	public CloseWorkspaceAction()
	{
		if(ResourceConstants.ICON_WORKSPACE != null){
			putValue(AbstractAction.SMALL_ICON, ResourceLoader.getInstance().getIcon(ResourceConstants.ICON_WORKSPACE));
		}
		if(Locale.ACCELERATOR_KEY_CLOSE_WORKSPACE != null){
			putValue(AbstractAction.ACCELERATOR_KEY, Locale.ACCELERATOR_KEY_CLOSE_WORKSPACE);
		}
		if(Locale.MNEMONIC_KEY_CLOSE_WORKSPACE != null){
			putValue(AbstractAction.MNEMONIC_KEY, Locale.MNEMONIC_KEY_CLOSE_WORKSPACE);
		}
		putValue(AbstractAction.SHORT_DESCRIPTION, Locale.SHORT_DESCRIPTION_CLOSE_WORKSPACE);
		putValue(AbstractAction.LONG_DESCRIPTION, Locale.LONG_DESCRIPTION_CLOSE_WORKSPACE);
		putValue(AbstractAction.NAME, Locale.MENUITEMNAME_CLOSE_WORKSPACE);
	}
	
	public void actionPerformed(ActionEvent e) {
		//TODO: reimplement
	}
	

}
