package viptool.impl.project.action;

import java.awt.Toolkit;
import java.awt.datatransfer.Clipboard;
import java.awt.dnd.DnDConstants;
import java.awt.event.ActionEvent;

import viptool.base.action.WindowAction;
import viptool.impl.project.gui.ProjectTreePane;
import viptool.impl.project.gui.TreeDragAndDropSupport;

public class CopyElementAction extends WindowAction{

	public void actionPerformed(ActionEvent event)
	{
		//get system-clipboard to enable copy/paste with other applications
		Clipboard sysClip = Toolkit.getDefaultToolkit().getSystemClipboard();
		TreeDragAndDropSupport.getInstance().exportToClipboard(
			ProjectTreePane.getInstance().getTree(), 
			sysClip, 
			DnDConstants.ACTION_COPY);
	}
}
