package viptool.impl.project.action;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.tree.TreePath;

import viptool.base.action.WindowAction;
import viptool.impl.project.gui.ProjectTreePane;
import viptool.impl.util.resources.ResourceLoader;
import viptool.util.Locale;
import viptool.util.resources.ResourceConstants;

public class EditBlacklistAction extends WindowAction{

	public EditBlacklistAction()
	{
		if(ResourceConstants.ICON_BLACKLIST != null){
			putValue(AbstractAction.SMALL_ICON, ResourceLoader.getInstance().getIcon(ResourceConstants.ICON_BLACKLIST));
		}
		if(Locale.ACCELERATOR_KEY_EDIT_BLACKLIST != null){
			putValue(AbstractAction.ACCELERATOR_KEY, Locale.ACCELERATOR_KEY_EDIT_BLACKLIST);
		}
		if(Locale.MNEMONIC_KEY_EDIT_BLACKLIST != null){
			putValue(AbstractAction.MNEMONIC_KEY, Locale.MNEMONIC_KEY_EDIT_BLACKLIST);
		}
		putValue(AbstractAction.SHORT_DESCRIPTION, Locale.SHORT_DESCRIPTION_EDIT_BLACKLIST);
		putValue(AbstractAction.LONG_DESCRIPTION, Locale.LONG_DESCRIPTION_EDIT_BLACKLIST);
		putValue(AbstractAction.NAME, Locale.MENUITEMNAME_EDIT_BLACKLIST);
	}
	
	public void actionPerformed(ActionEvent e) 
	{
		TreePath path = ProjectTreePane.getInstance().getTree().getSelectionPath();
    	if(path != null)
    	{
    		//IProjectTreeNode node = (IProjectTreeNode)path.getLastPathComponent();
    		//IProject project = ProjectGuiLinker.getInstance().getProjectToNode(node);
    		//TODO:implement!
    	}		
	}

	
}
