package viptool.impl.project.action;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import viptool.base.action.WindowAction;
import viptool.impl.util.resources.ResourceLoader;
import viptool.util.Locale;
import viptool.util.resources.ResourceConstants;

public class ExportElementAction extends WindowAction{

	public ExportElementAction()
	{
		if(ResourceConstants.ICON_DEFAULT_FILE != null){
			putValue(AbstractAction.SMALL_ICON, ResourceLoader.getInstance().getIcon(ResourceConstants.ICON_DEFAULT_FILE));
		}
		if(Locale.ACCELERATOR_KEY_EXPORT != null){
			putValue(AbstractAction.ACCELERATOR_KEY, Locale.ACCELERATOR_KEY_EXPORT);
		}
		if(Locale.MNEMONIC_KEY_EXPORT != null){
			putValue(AbstractAction.MNEMONIC_KEY, Locale.MNEMONIC_KEY_EXPORT);
		}
		putValue(AbstractAction.SHORT_DESCRIPTION, Locale.SHORT_DESCRIPTION_EXPORT);
		putValue(AbstractAction.LONG_DESCRIPTION, Locale.LONG_DESCRIPTION_EXPORT);
		putValue(AbstractAction.NAME, Locale.MENUITEMNAME_EXPORT);
	}

	public void actionPerformed(ActionEvent e) {
		//TODO: implement
	}
}
