package viptool.impl.project.action;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.tree.TreePath;

import viptool.base.action.WindowAction;
import viptool.impl.project.gui.ProjectTreePane;
import viptool.impl.util.resources.ResourceLoader;
import viptool.util.Locale;
import viptool.util.resources.ResourceConstants;

public class ImportAction extends WindowAction{
	
	public ImportAction()
	{
		if(ResourceConstants.ICON_IMPORT != null){
			putValue(AbstractAction.SMALL_ICON, ResourceLoader.getInstance().getIcon(ResourceConstants.ICON_IMPORT));
		}
		if(Locale.ACCELERATOR_KEY_IMPORT != null){
			putValue(AbstractAction.ACCELERATOR_KEY, Locale.ACCELERATOR_KEY_IMPORT);
		}
		if(Locale.MNEMONIC_KEY_IMPORT != null){
			putValue(AbstractAction.MNEMONIC_KEY, Locale.MNEMONIC_KEY_IMPORT);
		}
		putValue(AbstractAction.SHORT_DESCRIPTION, Locale.SHORT_DESCRIPTION_IMPORT);
		putValue(AbstractAction.LONG_DESCRIPTION, Locale.LONG_DESCRIPTION_IMPORT);
		putValue(AbstractAction.NAME, Locale.MENUITEMNAME_IMPORT);
	}

	public void actionPerformed(ActionEvent e) {
		TreePath path = ProjectTreePane.getInstance().getTree().getSelectionPath();
    	if(path != null)
    	{
    		//IProjectTreeNode node = (IProjectTreeNode)path.getLastPathComponent();
    		//TODO: implement!
    	}
	}
}
