package viptool.impl.project.action;

import java.awt.event.ActionEvent;

import javax.swing.tree.TreePath;

import viptool.base.action.WindowAction;
import viptool.impl.project.ProjectGuiLinker;
import viptool.impl.project.gui.ProjectTreePane;
import viptool.project.IProjectTreeNode;

public class OpenElementAction extends WindowAction
{

    public void actionPerformed(ActionEvent e)
    {
        TreePath path = ProjectTreePane.getInstance().getTree()
                .getSelectionPath();
        if(path != null)
        {
            ProjectGuiLinker.getInstance().run((IProjectTreeNode) path
                    .getLastPathComponent());
        }
    }
}
