package viptool.impl.project.error;

import viptool.base.io.IFileInterpreterProvider;


// TODO: lvk: comment
public class CreateProjectElementException extends ProjectException
{
    private IFileInterpreterProvider fileTypeProvider_ = null;

    // <><><><><><><><><><><><><><><><><><><><><>
    // Constructors
    // <><><><><><><><><><><><><><><><><><><><><>
    public CreateProjectElementException(IFileInterpreterProvider provider)
    {
        this(provider, null, null);
    }

    public CreateProjectElementException(IFileInterpreterProvider provider,
            String message, Throwable throwable)
    {
        super(message, throwable);
        fileTypeProvider_ = provider;
    }

    public CreateProjectElementException(IFileInterpreterProvider provider,
            String message)
    {
        this(provider, message, null);
    }

    public CreateProjectElementException(IFileInterpreterProvider provider,
            Throwable throwable)
    {
        this(provider, null, throwable);
    }
    
    // <><><><><><><><><><><><><><><><><><><><><>
    // getter Methods
    // <><><><><><><><><><><><><><><><><><><><><>
    public IFileInterpreterProvider getFileTypeProvider()
    {
        return fileTypeProvider_;
    }
}
