package viptool.impl.text.editor.dnd;

import java.awt.datatransfer.DataFlavor;
import java.awt.datatransfer.Transferable;
import java.awt.datatransfer.UnsupportedFlavorException;
import java.io.IOException;

public class TextTransferable implements Transferable{

	private String text_;
	
	public TextTransferable(String text)
	{
		text_ = text;
	}
	
	public Object getTransferData(DataFlavor flavor)
			throws UnsupportedFlavorException, IOException {
		if(flavor.equals(DataFlavor.stringFlavor))
		{
			return text_;
		}
		return null;
	}

	public DataFlavor[] getTransferDataFlavors() {
		return new DataFlavor[]{DataFlavor.stringFlavor};
	}

	public boolean isDataFlavorSupported(DataFlavor flavor) {
		if(flavor.equals(DataFlavor.stringFlavor))
		{
			return true;
		}
		return false;
	}

}
