package viptool.util;

import java.awt.event.KeyEvent;

import javax.swing.KeyStroke;

public class Locale {
	
	//<><><><><><><><><><><><><><><><><><><><>
	//  MenuAction settings
	//<><><><><><><><><><><><><><><><><><><><>
	
	//<><><><><><><><><><><> File-Menu <><><><><><><><><><><>
	
	//New...
	public static final String 				MENUITEMNAME_NEW_DIALOG				= "New...";
	public static final KeyStroke			ACCELERATOR_KEY_NEW_DIALOG			= KeyStroke.getKeyStroke("ctrl N");
	public static final Integer				MNEMONIC_KEY_NEW_DIALOG				= new Integer(KeyEvent.VK_N);
	public static final String				SHORT_DESCRIPTION_NEW_DIALOG		= "opens the new dialog";
	public static final String 				LONG_DESCRIPTION_NEW_DIALOG			= "opens a dialog which helps you to create new projects, files, ...";

	//Exit Viptool
	public static final String 				MENUITEMNAME_EXIT_VIPTOOL			= "Exit";
	public static final KeyStroke			ACCELERATOR_KEY_EXIT_VIPTOOL		= KeyStroke.getKeyStroke("ctrl X");
	public static final Integer				MNEMONIC_KEY_EXIT_VIPTOOL			= new Integer(KeyEvent.VK_E);
	public static final String				SHORT_DESCRIPTION_EXIT_VIPTOOL		= "close the Viptool";
	public static final String 				LONG_DESCRIPTION_EXIT_VIPTOOL		= "close the Viptool";
	
	//Load Project
	public static final String 				MENUITEMNAME_LOAD_PROJECT			= "Load Project";
	public static final KeyStroke			ACCELERATOR_KEY_LOAD_PROJECT		= KeyStroke.getKeyStroke("ctrl P");
	public static final Integer				MNEMONIC_KEY_LOAD_PROJECT			= new Integer(KeyEvent.VK_P);
	public static final String				SHORT_DESCRIPTION_LOAD_PROJECT		= "load a saved Project";
	public static final String 				LONG_DESCRIPTION_LOAD_PROJECT		= "opens an filechooser to select an load a saved Project";

	//Load Workspace
	public static final String 				MENUITEMNAME_LOAD_WORKSPACE			= "Load Workspace";
	public static final KeyStroke			ACCELERATOR_KEY_LOAD_WORKSPACE		= KeyStroke.getKeyStroke("ctrl W");
	public static final Integer				MNEMONIC_KEY_LOAD_WORKSPACE			= new Integer(KeyEvent.VK_W);
	public static final String				SHORT_DESCRIPTION_LOAD_WORKSPACE	= "load a saved Workspace";
	public static final String 				LONG_DESCRIPTION_LOAD_WORKSPACE		= "opens an filechooser to select an load a saved Workspace";

	//Recent Workspace
	public static final String 				MENUITEMNAME_RECENT_WORKSPACE		= ""; // + <FILENAME> 
	public static final KeyStroke			ACCELERATOR_KEY_RECENT_WORKSPACE	= null;
	public static final Integer				MNEMONIC_KEY_RECENT_WORKSPACE		= null;
	public static final String				SHORT_DESCRIPTION_RECENT_WORKSPACE	= "load "; // + <FILENAME> 
	public static final String 				LONG_DESCRIPTION_RECENT_WORKSPACE	= "load the recent workspace "; // + <FILENAME> 

	//<><><><><><><><><><><> Help-Menu <><><><><><><><><><><>
	
	//About
	public static final String 				MENUITEMNAME_ABOUT				= "About";
	public static final KeyStroke			ACCELERATOR_KEY_ABOUT			= KeyStroke.getKeyStroke("ctrl A");
	public static final Integer				MNEMONIC_KEY_ABOUT				= new Integer(KeyEvent.VK_A);
	public static final String				SHORT_DESCRIPTION_ABOUT			= "about VipTool";
	public static final String 				LONG_DESCRIPTION_ABOUT			= "opens an dialog with informations about the VipTool";
	
	//<><><><><><><><><><><> Tree <><><><><><><><><><><>	
	
	//New Folder  
	public static final String 				MENUITEMNAME_NEW_FOLDER				= "New Folder";
	public static final KeyStroke			ACCELERATOR_KEY_NEW_FOLDER			= null;
	public static final Integer				MNEMONIC_KEY_NEW_FOLDER				= null;
	public static final String				SHORT_DESCRIPTION_NEW_FOLDER		= "creates a new folder";
	public static final String 				LONG_DESCRIPTION_NEW_FOLDER			= "creates a new folder with a specfied name";

	//Import  
	public static final String 				MENUITEMNAME_IMPORT					= "Import";
	public static final KeyStroke			ACCELERATOR_KEY_IMPORT				= null;
	public static final Integer				MNEMONIC_KEY_IMPORT					= null;
	public static final String				SHORT_DESCRIPTION_IMPORT			= "import a file to project";
	public static final String 				LONG_DESCRIPTION_IMPORT				= "copies a file to the projectfolder and adds it to tree";

	//ADD_BLACKLIST  
	public static final String 				MENUITEMNAME_ADD_BLACKLIST			= "Hide";
	public static final KeyStroke			ACCELERATOR_KEY_ADD_BLACKLIST		= null;
	public static final Integer				MNEMONIC_KEY_ADD_BLACKLIST			= null;
	public static final String				SHORT_DESCRIPTION_ADD_BLACKLIS		= "adds the file to the blacklist";
	public static final String 				LONG_DESCRIPTION_ADD_BLACKLIST		= "adds the file to the blacklist";

	//EDIT_BLACKLIST
	public static final String 				MENUITEMNAME_EDIT_BLACKLIST			= "Edit hidden files";
	public static final KeyStroke			ACCELERATOR_KEY_EDIT_BLACKLIST		= null;
	public static final Integer				MNEMONIC_KEY_EDIT_BLACKLIST			= null;
	public static final String				SHORT_DESCRIPTION_EDIT_BLACKLIST	= "shows list of hidden files";
	public static final String 				LONG_DESCRIPTION_EDIT_BLACKLIST		= "shows list of hidden files which can be edited";

	//EDIT_DELETELIST  
	public static final String 				MENUITEMNAME_EDIT_DELETELIST		= "Edit deletelist";
	public static final KeyStroke			ACCELERATOR_KEY_EDIT_DELETELIST		= null;
	public static final Integer				MNEMONIC_KEY_EDIT_DELETELIST		= null;
	public static final String				SHORT_DESCRIPTION_EDIT_DELETELIST	= "files on this list will deleted as soon as possible";
	public static final String 				LONG_DESCRIPTION_EDIT_DELETELIST	= "files on this list will deleted as soon as possible";

	//LOAD
	public static final String 				MENUITEMNAME_LOAD					= "Load Element";
	public static final KeyStroke			ACCELERATOR_KEY_LOAD				= null;
	public static final Integer				MNEMONIC_KEY_LOAD					= null;
	public static final String				SHORT_DESCRIPTION_LOAD				= "load the element";
	public static final String 				LONG_DESCRIPTION_LOAD				= "load the element";

	//SAVE  
	public static final String 				MENUITEMNAME_SAVE					= "Save Element";
	public static final KeyStroke			ACCELERATOR_KEY_SAVE				= null;
	public static final Integer				MNEMONIC_KEY_SAVE					= null;
	public static final String				SHORT_DESCRIPTION_SAVE				= "save the element";
	public static final String 				LONG_DESCRIPTION_SAVE				= "save the element";

	//CLOSE  
	public static final String 				MENUITEMNAME_CLOSE					= "Close Element";
	public static final KeyStroke			ACCELERATOR_KEY_CLOSE				= null;
	public static final Integer				MNEMONIC_KEY_CLOSE					= null;
	public static final String				SHORT_DESCRIPTION_CLOSE				= "close the element";
	public static final String 				LONG_DESCRIPTION_CLOSE				= "close the element";

	//EXPORT  
	public static final String 				MENUITEMNAME_EXPORT					= "Export";
	public static final KeyStroke			ACCELERATOR_KEY_EXPORT				= null;
	public static final Integer				MNEMONIC_KEY_EXPORT					= null;
	public static final String				SHORT_DESCRIPTION_EXPORT			= "export the element/folder/project";
	public static final String 				LONG_DESCRIPTION_EXPORT				= "export the element/folder/project";

	//DELETE  
	public static final String 				MENUITEMNAME_DELETE					= "Delete";
	public static final KeyStroke			ACCELERATOR_KEY_DELETE				= null;
	public static final Integer				MNEMONIC_KEY_DELETE					= null;
	public static final String				SHORT_DESCRIPTION_DELETE			= "delete the element/folder/project";
	public static final String 				LONG_DESCRIPTION_DELETE				= "delete the element/folder/project";

	//SAVE_PROJECT  
	public static final String 				MENUITEMNAME_SAVE_PROJECT			= "Save Project";
	public static final KeyStroke			ACCELERATOR_KEY_SAVE_PROJECT		= null;
	public static final Integer				MNEMONIC_KEY_SAVE_PROJECT			= null;
	public static final String				SHORT_DESCRIPTION_SAVE_PROJECT		= "save the project";
	public static final String 				LONG_DESCRIPTION_SAVE_PROJECT		= "save the project";

	//CLOSE_PROJECT  
	public static final String 				MENUITEMNAME_CLOSE_PROJECT			= "Close Project";
	public static final KeyStroke			ACCELERATOR_KEY_CLOSE_PROJECT		= null;
	public static final Integer				MNEMONIC_KEY_CLOSE_PROJECT			= null;
	public static final String				SHORT_DESCRIPTION_CLOSE_PROJECT		= "close the project";
	public static final String 				LONG_DESCRIPTION_CLOSE_PROJECT		= "close the project";

	//SAVE_WORKSPACE  
	public static final String 				MENUITEMNAME_SAVE_WORKSPACE			= "Save Workspace";
	public static final KeyStroke			ACCELERATOR_KEY_SAVE_WORKSPACE		= null;
	public static final Integer				MNEMONIC_KEY_SAVE_WORKSPACE			= null;
	public static final String				SHORT_DESCRIPTION_SAVE_WORKSPACE	= "save the workspace";
	public static final String 				LONG_DESCRIPTION_SAVE_WORKSPACE		= "save the workspace";

	//CLOSE_WORKSPACE  
	public static final String 				MENUITEMNAME_CLOSE_WORKSPACE		= "Close Workspace";
	public static final KeyStroke			ACCELERATOR_KEY_CLOSE_WORKSPACE		= null;
	public static final Integer				MNEMONIC_KEY_CLOSE_WORKSPACE		= null;
	public static final String				SHORT_DESCRIPTION_CLOSE_WORKSPACE	= "close the workspace";
	public static final String 				LONG_DESCRIPTION_CLOSE_WORKSPACE	= "close the workspace";

	//CLOSE_WORKSPACE  
	public static final String 				MENUITEMNAME_UPDATE_ELEMENT			= "Update Folder";
	public static final KeyStroke			ACCELERATOR_KEY_UPDATE_ELEMENT		= null;
	public static final Integer				MNEMONIC_KEY_UPDATE_ELEMENT			= null;
	public static final String				SHORT_DESCRIPTION_UPDATE_ELEMENT	= "search for new file";
	public static final String 				LONG_DESCRIPTION_UPDATE_ELEMENT		= "search for new file";
	
	//<><><><><><><><><><><> Petrinet:File-Menu <><><><><><><><><><><>

	//CLOSE_CHILDWINDOW  
	public static final String 				MENUITEMNAME_CLOSE_CHILDWINDOW		= "Close";
	public static final KeyStroke			ACCELERATOR_KEY_CLOSE_CHILDWINDOW	= null;
	public static final Integer				MNEMONIC_KEY_CLOSE_CHILDWINDOW		= null;
	public static final String				SHORT_DESCRIPTION_CLOSE_CHILDWINDOW	= "close the focused childwindow";
	public static final String 				LONG_DESCRIPTION_CLOSE_CHILDWINDOW	= "close the focused childwindow";

	//SAVE_CHILDWINDOW  
	public static final String 				MENUITEMNAME_SAVE_CHILDWINDOW		= "Save";
	public static final KeyStroke			ACCELERATOR_KEY_SAVE_CHILDWINDOW	= null;
	public static final Integer				MNEMONIC_KEY_SAVE_CHILDWINDOW		= null;
	public static final String				SHORT_DESCRIPTION_SAVE_CHILDWINDOW	= "Save the focused childwindow";
	public static final String 				LONG_DESCRIPTION_SAVE_CHILDWINDOW	= "Save the focused childwindow";
	
	//EXPORT_CHILDWINDOW  
	public static final String 				MENUITEMNAME_EXPORT_CHILDWINDOW		= "Export as eps";
	public static final KeyStroke			ACCELERATOR_KEY_EXPORT_CHILDWINDOW	= null;
	public static final Integer				MNEMONIC_KEY_EXPORT_CHILDWINDOW		= null;
	public static final String				SHORT_DESCRIPTION_EXPORT_CHILDWINDOW = "Export the focused childwindow as eps";
	public static final String 				LONG_DESCRIPTION_EXPORT_CHILDWINDOW	= "Export the focused childwindow as eps";

	//COPY_OBJECTS  
	public static final String 				MENUITEMNAME_COPYOBJECTS			= "Copy";
	public static final KeyStroke			ACCELERATOR_KEY_COPYOBJECTS			= null;
	public static final Integer				MNEMONIC_KEY_COPYOBJECTS			= null;
	public static final String				SHORT_DESCRIPTION_COPYOBJECTS		= "copy selected objects";
	public static final String 				LONG_DESCRIPTION_COPYOBJECTS		= "copy selected objects";

	//PASTE_OBJECTS  
	public static final String 				MENUITEMNAME_PASTEOBJECTS			= "Paste";
	public static final KeyStroke			ACCELERATOR_KEY_PASTEOBJECTS		= null;
	public static final Integer				MNEMONIC_KEY_PASTEOBJECTS			= null;
	public static final String				SHORT_DESCRIPTION_PASTEOBJECTS		= "paste selected objects";
	public static final String 				LONG_DESCRIPTION_PASTEOBJECTS		= "paste selected objects";

	//Select All Objects  
	public static final String 				MENUITEMNAME_SELECTALLOBJECTS		= "Select all";
	public static final KeyStroke			ACCELERATOR_KEY_SELECTALLOBJECTS	= null;
	public static final Integer				MNEMONIC_KEY_SELECTALLOBJECTS		= null;
	public static final String				SHORT_DESCRIPTION_SELECTALLOBJECTS	= "select all objects";
	public static final String 				LONG_DESCRIPTION_SELECTALLOBJECTS	= "select all objects";

	
	//<><><><><><><><><><><> FormatToolbar <><><><><><><><><><><>	
	
	//FillColor
	public static final String 				MENUITEMNAME_FILL_COLOR				= "Fillcolor";
	public static final KeyStroke			ACCELERATOR_KEY_FILL_COLOR			= null;
	public static final Integer				MNEMONIC_KEY_FILL_COLOR				= null;
	public static final String				SHORT_DESCRIPTION_FILL_COLOR		= "Fillcolor";
	public static final String 				LONG_DESCRIPTION_FILL_COLOR			= "";

	//BoderColor
	public static final String 				MENUITEMNAME_BORDER_COLOR			= "Bordercolor";
	public static final KeyStroke			ACCELERATOR_KEY_BORDER_COLOR		= null;
	public static final Integer				MNEMONIC_KEY_BORDER_COLOR			= null;
	public static final String				SHORT_DESCRIPTION_BORDER_COLOR		= "Bodercolor";
	public static final String 				LONG_DESCRIPTION_BORDER_COLOR		= "";

	//FontColor
	public static final String 				MENUITEMNAME_FONT_COLOR				= "Fontcolor";
	public static final KeyStroke			ACCELERATOR_KEY_FONT_COLOR			= null;
	public static final Integer				MNEMONIC_KEY_FONT_COLOR				= null;
	public static final String				SHORT_DESCRIPTION_FONT_COLOR		= "Fontcolor";
	public static final String 				LONG_DESCRIPTION_FONT_COLOR			= "";
	
	//<><><><><><><><><><><> LpoToolbar <><><><><><><><><><><>	
	
	//Undo
	public static final String 				MENUITEMNAME_UNDO					= "Undo";
	public static final KeyStroke			ACCELERATOR_KEY_UNDO				= null;
	public static final Integer				MNEMONIC_KEY_UNDO					= null;
	public static final String				SHORT_DESCRIPTION_UNDO				= "undo the last action";
	public static final String 				LONG_DESCRIPTION_UNDO				= "";

	//Redo
	public static final String 				MENUITEMNAME_REDO					= "Redo";
	public static final KeyStroke			ACCELERATOR_KEY_REDO				= null;
	public static final Integer				MNEMONIC_KEY_REDO					= null;
	public static final String				SHORT_DESCRIPTION_REDO				= "undo the last undo";
	public static final String 				LONG_DESCRIPTION_REDO				= "";
	
	//moveObjects
	public static final String 				MENUITEMNAME_MOVEOBJECTS			= "Move Objects";
	public static final KeyStroke			ACCELERATOR_KEY_MOVEOBJECTS			= null;
	public static final Integer				MNEMONIC_KEY_MOVEOBJECTS			= null;
	public static final String				SHORT_DESCRIPTION_MOVEOBJECTS		= "";
	public static final String 				LONG_DESCRIPTION_MOVEOBJECTS		= "";

	//deleteObjects
	public static final String 				MENUITEMNAME_DELETEOBJECTS			= "Delete Objects";
	public static final KeyStroke			ACCELERATOR_KEY_DELETEOBJECTS		= null;
	public static final Integer				MNEMONIC_KEY_DELETEOBJECTS			= null;
	public static final String				SHORT_DESCRIPTION_DELETEOBJECTS		= "delete an Object";
	public static final String 				LONG_DESCRIPTION_DELETEOBJECTS		= "";

	//addTransition
	public static final String 				MENUITEMNAME_ADDTRANSITION			= "Add Transition";
	public static final KeyStroke			ACCELERATOR_KEY_ADDTRANSITION		= null;
	public static final Integer				MNEMONIC_KEY_ADDTRANSITION			= null;
	public static final String				SHORT_DESCRIPTION_ADDTRANSITION		= "adds an Transition";
	public static final String 				LONG_DESCRIPTION_ADDTRANSITION		= "";

	//addArc
	public static final String 				MENUITEMNAME_ADDARC			= "Add Arc";
	public static final KeyStroke			ACCELERATOR_KEY_ADDARC		= null;
	public static final Integer				MNEMONIC_KEY_ADDARC			= null;
	public static final String				SHORT_DESCRIPTION_ADDARC	= "adds an Arc";
	public static final String 				LONG_DESCRIPTION_ADDARC		= "";

	//minTest
	public static final String 				MENUITEMNAME_MINTEST		= "Min Test";
	public static final KeyStroke			ACCELERATOR_KEY_MINTEST		= null;
	public static final Integer				MNEMONIC_KEY_MINTEST		= null;
	public static final String				SHORT_DESCRIPTION_MINTEST	= "";
	public static final String 				LONG_DESCRIPTION_MINTEST	= "";
	
	//proTest
	public static final String 				MENUITEMNAME_PROTEST		= "Process Test";
	public static final KeyStroke			ACCELERATOR_KEY_PROTEST		= null;
	public static final Integer				MNEMONIC_KEY_PROTEST		= null;
	public static final String				SHORT_DESCRIPTION_PROTEST	= "";
	public static final String 				LONG_DESCRIPTION_PROTEST	= "";
	
	//cutObjects
	public static final String 				MENUITEMNAME_CUTOBJECTS		= "cut";
	public static final KeyStroke			ACCELERATOR_KEY_CUTOBJECTS	= null;
	public static final Integer				MNEMONIC_KEY_CUTOBJECTS		= null;
	public static final String				SHORT_DESCRIPTION_CUTOBJECTS= "";
	public static final String 				LONG_DESCRIPTION_CUTOBJECTS	= "";
    
	//showTransClos
    public static final String              MENUITEMNAME_TRANSCLOS       = "show transitive closure";
    public static final KeyStroke           ACCELERATOR_KEY_TRANSCLOS    = null;
    public static final Integer             MNEMONIC_KEY_TRANSCLOS       = null;
    public static final String              SHORT_DESCRIPTION_TRANSCLOS  = "Shows transitive closure";
    public static final String              LONG_DESCRIPTION_TRANSCLOS   = "Displays the transitive closure of this LPO";
    
	//showSkeleton
    public static final String              MENUITEMNAME_SKELETON       = "show Skeleton";
    public static final KeyStroke           ACCELERATOR_KEY_SKELETON    = null;
    public static final Integer             MNEMONIC_KEY_SKELETON       = null;
    public static final String              SHORT_DESCRIPTION_SKELETON  = "Shows Skeleton";
    public static final String              LONG_DESCRIPTION_SKELETON   = "Displays all LPO edges red that belong to the skeleton graph of this LPO";
	
	//<><><><><><><><><><><> ViewMenu <><><><><><><><><><><>	
	
	//Formattoolbar
	public static final String 				MENUITEMNAME_FORMATTOOLBAR				= "Formattoolbar";
	public static final KeyStroke			ACCELERATOR_KEY_FORMATTOOLBAR			= null;
	public static final Integer				MNEMONIC_KEY_FORMATTOOLBAR				= null;
	public static final String				SHORT_DESCRIPTION_FORMATTOOLBAR			= "";
	public static final String 				LONG_DESCRIPTION_FORMATTOOLBAR			= "";

	//Grid
	public static final String 				MENUITEMNAME_GRID				= "Grid";
	public static final KeyStroke			ACCELERATOR_KEY_GRID			= null;
	public static final Integer				MNEMONIC_KEY_GRID				= null;
	public static final String				SHORT_DESCRIPTION_GRID			= "";
	public static final String 				LONG_DESCRIPTION_GRID			= "";

	//GridSize
	public static final String 				MENUITEMNAME_GRIDSIZE				= "Change gridsize";
	public static final KeyStroke			ACCELERATOR_KEY_GRIDSIZE			= null;
	public static final Integer				MNEMONIC_KEY_GRIDSIZE				= null;
	public static final String				SHORT_DESCRIPTION_GRIDSIZE			= "";
	public static final String 				LONG_DESCRIPTION_GRIDSIZE			= "";
	
	//ALIGN
	public static final String 				MENUITEMNAME_ALIGN					= "Align Components";
	public static final KeyStroke			ACCELERATOR_KEY_ALIGN				= null;
	public static final Integer				MNEMONIC_KEY_ALIGN					= null;
	public static final String				SHORT_DESCRIPTION_ALIGN				= "";
	public static final String 				LONG_DESCRIPTION_ALIGN				= "";
	
	//AUTOALIGN
	public static final String 				MENUITEMNAME_AUTOALIGN				= "Autoalign Components";
	public static final KeyStroke			ACCELERATOR_KEY_AUTOALIGN			= null;
	public static final Integer				MNEMONIC_KEY_AUTOALIGN				= null;
	public static final String				SHORT_DESCRIPTION_AUTOALIGN			= "";
	public static final String 				LONG_DESCRIPTION_AUTOALIGN			= "";

	//<><><><><><><><><><><> GraphEditor <><><><><><><><><><><>	
	
	//Pre/Postset
	public static final String 				MENUITEMNAME_PREPOSTSET				= "Show Pre-/Postset";
	public static final KeyStroke			ACCELERATOR_KEY_PREPOSTSET			= null;
	public static final Integer				MNEMONIC_KEY_PREPOSTSET				= null;
	public static final String				SHORT_DESCRIPTION_PREPOSTSET		= "";
	public static final String 				LONG_DESCRIPTION_PREPOSTSET			= "";
	
	//Zoom
	public static final String 				MENUITEMNAME_ZOOM					= "Zoom";
	public static final KeyStroke			ACCELERATOR_KEY_ZOOM				= null;
	public static final Integer				MNEMONIC_KEY_ZOOM					= null;
	public static final String				SHORT_DESCRIPTION_ZOOM				= "";
	public static final String 				LONG_DESCRIPTION_ZOOM				= "";
	
	//<><><><><><><><><><><> Petrinet Menubar <><><><><><><><><><><>	
	
	//Modul
	public static final String 				MENUITEMNAME_MODUL					= "Modul";
	public static final KeyStroke			ACCELERATOR_KEY_MODUL				= null;
	public static final Integer				MNEMONIC_KEY_MODUL					= null;
	public static final String				SHORT_DESCRIPTION_MODUL				= "";
	public static final String 				LONG_DESCRIPTION_MODUL				= "";

	//Signal in
	public static final String 				MENUITEMNAME_SIGNALIN				= "Signal Input";
	public static final KeyStroke			ACCELERATOR_KEY_SIGNALIN			= null;
	public static final Integer				MNEMONIC_KEY_SIGNALIN				= null;
	public static final String				SHORT_DESCRIPTION_SIGNALIN			= "";
	public static final String 				LONG_DESCRIPTION_SIGNALIN			= "";
	
	//Signal out
	public static final String 				MENUITEMNAME_SIGNALOUT				= "Signal Output";
	public static final KeyStroke			ACCELERATOR_KEY_SIGNALOUT			= null;
	public static final Integer				MNEMONIC_KEY_SIGNALOUT				= null;
	public static final String				SHORT_DESCRIPTION_SIGNALOUT			= "";
	public static final String 				LONG_DESCRIPTION_SIGNALOUT			= "";

	//TEST in
	public static final String 				MENUITEMNAME_TESTIN					= "Test Input";
	public static final KeyStroke			ACCELERATOR_KEY_TESTIN				= null;
	public static final Integer				MNEMONIC_KEY_TESTIN					= null;
	public static final String				SHORT_DESCRIPTION_TESTIN			= "";
	public static final String 				LONG_DESCRIPTION_TESTIN				= "";
	
	//TEST out
	public static final String 				MENUITEMNAME_TESTOUT				= "Test Output";
	public static final KeyStroke			ACCELERATOR_KEY_TESTOUT				= null;
	public static final Integer				MNEMONIC_KEY_TESTOUT				= null;
	public static final String				SHORT_DESCRIPTION_TESTOUT			= "";
	public static final String 				LONG_DESCRIPTION_TESTOUT			= "";

	//<><><><><><><><><><><> Analyze <><><><><><><><><><><>	
	
	//Simulate
	public static final String 				MENUITEMNAME_SIMULATE				= "Simulate";
	public static final KeyStroke			ACCELERATOR_KEY_SIMULATE			= null;
	public static final Integer				MNEMONIC_KEY_SIMULATE				= null;
	public static final String				SHORT_DESCRIPTION_SIMULATE			= "";
	public static final String 				LONG_DESCRIPTION_SIMULATE			= "";

	//Preferences
	public static final String 				MENUITEMNAME_PREFERENCES			= "Preferences";
	public static final KeyStroke			ACCELERATOR_KEY_PREFERENCES			= null;
	public static final Integer				MNEMONIC_KEY_PREFERENCES			= null;
	public static final String				SHORT_DESCRIPTION_PREFERENCES		= "";
	public static final String 				LONG_DESCRIPTION_PREFERENCES		= "";

	//<><><><><><><><><><><> Petrinet Toolbar <><><><><><><><><><><>	
	
	//FireTransition
	public static final String 				MENUITEMNAME_FIRETRANSITION				= "Fire Transition";
	public static final KeyStroke			ACCELERATOR_KEY_FIRETRANSITION			= null;
	public static final Integer				MNEMONIC_KEY_FIRETRANSITION				= null;
	public static final String				SHORT_DESCRIPTION_FIRETRANSITION		= "";
	public static final String 				LONG_DESCRIPTION_FIRETRANSITION			= "";

	
	//<><><><><><><><><><><><><><><><><><><><>
	//  Menu settings
	//<><><><><><><><><><><><><><><><><><><><>
	
	//File Menu
	public static final String				MENUNAME_FILE						= "File";
	public static final Integer				MNEMONIC_KEY_FILE_MENU				= new Integer(KeyEvent.VK_F);
	
	//Edit Menu
	public static final String				MENUNAME_EDIT						= "Edit";
	public static final Integer				MNEMONIC_KEY_EDIT_MENU				= new Integer(KeyEvent.VK_E);

	//Draw Menu
	public static final String				MENUNAME_DRAW						= "Draw";
	public static final Integer				MNEMONIC_KEY_DRAW_MENU				= new Integer(KeyEvent.VK_D);

	//View Menu
	public static final String				MENUNAME_VIEW						= "View";
	public static final Integer				MNEMONIC_KEY_VIEW_MENU				= new Integer(KeyEvent.VK_V);
	
	//Help Menu
	public static final String				MENUNAME_HELP						= "HELP";
	public static final Integer				MNEMONIC_KEY_HELP_MENU				= new Integer(KeyEvent.VK_H);
	
	//File->Recent Menu
	public static final String				MENUNAME_RECENT						= "Recent Workspaces";
	public static final Integer				MNEMONIC_KEY_RECENT_MENU			= new Integer(KeyEvent.VK_R);

	//File->Load Menu
	public static final String				MENUNAME_LOAD						= "Load...";
	public static final Integer				MNEMONIC_KEY_LOAD_MENU				= new Integer(KeyEvent.VK_L);

	//File->Load Menu
	public static final String				MENUNAME_EXPORT						= "Export";
	public static final Integer				MNEMONIC_KEY_EXPORT_MENU			= null;

	//Draw->Label
	public static final String				MENUNAME_LABEL						= "Label";
	public static final Integer				MNEMONIC_KEY_LABEL_MENU				= null;
	
	//Draw->In-/Outputs
	public static final String				MENUNAME_INOUTPUTS					= "In-/Outputs";
	public static final Integer				MNEMONIC_KEY_INOUTPUTS_MENU			= null;
	
	//Draw->Transition
	public static final String				MENUNAME_TRANSITION					= "Transition";
	public static final Integer				MNEMONIC_KEY_TRANSITION_MENU		= null;
	
	//Draw->Event
	public static final String          MENUNAME_EVENT                   = "Event";
	public static final Integer            MNEMONIC_KEY_EVENT_MENU		= null;
	
	//Draw->Place
	public static final String				MENUNAME_PLACE						= "Place";
	public static final Integer				MNEMONIC_KEY_PLACE_MENU				= null;

	//Draw->Edge
	public static final String				MENUNAME_EDGE						= "Edge";
	public static final Integer				MNEMONIC_KEY_EDGE_MENU				= null;

	//Draw->Token
	public static final String				MENUNAME_TOKEN						= "Token";
	public static final Integer				MNEMONIC_KEY_TOKEN_MENU				= null;

	//Analyze
	public static final String				MENUNAME_ANALYZE					= "Analyze";
	public static final Integer				MNEMONIC_KEY_ANALYZE_MENU			= new Integer(KeyEvent.VK_A);
	
	//TreePopup->New
	public static final String				MENUNAME_NEW						= "New...";
	public static final Integer				MNEMONIC_KEY_NEW_MENU				= null;
	
	//TreePopup->Element
	public static final String				MENUNAME_ELEMENT					= "Element...";
	public static final Integer				MNEMONIC_KEY_ELEMENT_MENU			= null;
	
	//TreePopup->Save
	public static final String				MENUNAME_SAVE						= "Save...";
	public static final Integer				MNEMONIC_KEY_SAVE_MENU				= null;
	
	//TreePopup/File->Close
	public static final String				MENUNAME_CLOSE						= "Close...";
	public static final Integer				MNEMONIC_KEY_CLOSE_MENU				= null;
	
	//TreePopup->Blacklist
	public static final String				MENUNAME_BLACKLIST					= "Blacklist...";
	public static final Integer				MNEMONIC_KEY_BLACKLIST_MENU			= null;
}
