package viptool.base.action;

import java.awt.event.ActionEvent;

/**
 * The ContainerAction doesn't perform an action. It is used to create a menu, to which other actions can be added.
 * It is modeled as an action, because actions represent menu entries in the viptool.
 * 
 * @author Stefan Jannevers
 *
 */
public class ContainerAction extends ExtendedAction
{

	/**
	 * generated
	 */
	private static final long serialVersionUID = -8513377224543937316L;

	@Override
	public void initialize() {
		// NOOP		
	}

	@Override
	public void actionPerformed(ActionEvent event) {
		// NOOP		
	}
    
}
