package viptool.base.action;

import java.awt.event.ActionEvent;
import java.util.Iterator;

import viptool.base.gui.selection.ISelection;

public class SelectionAction extends ExtendedAction
{
    /**
	 * generated
	 */
	private static final long serialVersionUID = -2763639905011457118L;
	
	private ISelection selection_;

    public ISelection getSelection()
    {
        return selection_;
    }

    public void setSelection(ISelection selection)
    {
        selection_ = selection;
    }

    public void actionPerformed(ActionEvent event, ISelection selection)
    {
    }

    public void actionPerformed(ActionEvent event, Object selectedObject)
    {

    }

    // <><><><><><><><><><><><><><><><><><><><><>
    // Overridden methods from javax.swing.AbstractAction
    // <><><><><><><><><><><><><><><><><><><><><>

    public void actionPerformed(ActionEvent event)
    {
        Iterator it;

        actionPerformed(event, selection_);

        it = selection_.iterator();
        while (it.hasNext())
        {
            actionPerformed(event, it.next());
        }
    }

    public Object clone() throws CloneNotSupportedException
    {
        SelectionAction action = (SelectionAction) super.clone();

        // clone the child window map
        action.selection_ = selection_;
        return action;
    }

	@Override
	public void initialize() {
		// NOOP
		
	}
}
