package viptool.base.error;

import viptool.base.editor.IEditor;

public class EditorNotOpenedException extends EditorException
{

    public EditorNotOpenedException(IEditor editor)
    {
        super(editor);
    }

    public EditorNotOpenedException(IEditor editor, String message)
    {
        super(editor, message);
    }

    public EditorNotOpenedException(IEditor editor, Throwable throwable)
    {
        super(editor, throwable);
    }

    public EditorNotOpenedException(IEditor editor, String message,
            Throwable throwable)
    {
        super(editor, message, throwable);
    }

}
