package viptool.base.gui.component.event;

import java.util.EventObject;

import viptool.base.gui.component.FolderTreePanel;
import viptool.base.gui.component.FolderTreePanel.FolderTreeSelection;

public class FolderTreePanelSelectionEvent extends EventObject
{
    private FolderTreeSelection selection_;
    
    public FolderTreePanelSelectionEvent(FolderTreePanel panel,
            FolderTreeSelection selection)
    {
        super(panel);
        selection_ = selection;
    }
    
    public FolderTreeSelection getSelection()
    {
        return selection_;
    }
}
