package viptool.base.gui.dialog.event;

import javax.swing.JButton;

import viptool.base.gui.dialog.IStandardModalDialog;

public class ButtonClickedEvent extends StandardDialogEvent
{
    private int     type_;

    private boolean closeDialog_ = true;

    public ButtonClickedEvent(IStandardModalDialog dialog, JButton button,
            int type)
    {
        super(dialog, button);

        type_ = type;
    }

    public int getType()
    {
        return type_;
    }

    public void dontCloseWindow()
    {
        closeDialog_ = false;
    }

    public boolean getCloseDialog()
    {
        return closeDialog_;
    }

    public JButton getButton()
    {
        return (JButton)getSource();
    }
}
