package viptool.impl.base.gui.selection;

import java.util.ArrayList;

import viptool.base.gui.selection.IAbstractFileSelection;
import viptool.project.IAbstractFile;
import viptool.project.IAbstractFolder;

public class AbstractFileSelection extends Selection implements
        IAbstractFileSelection
{
    public AbstractFileSelection(IAbstractFile files[])
    {
        super(files);
    }

    public IAbstractFile[] getAllElements()
    {
        return (IAbstractFile[]) toArray(new IAbstractFile[size()]);
    }

    public IAbstractFile[] getFileElements()
    {
        ArrayList fileList = new ArrayList();
        IAbstractFile[] files;

        files = getAllElements();
        for (int i = 0; i < files.length; i++)
        {
            if(!(files[i] instanceof IAbstractFolder))
            {
                fileList.add(files[i]);
            }
        }

        return (IAbstractFile[]) fileList.toArray(new IAbstractFile[fileList
                .size()]);
    }

    public IAbstractFolder[] getFolderElements()
    {
        ArrayList folderList = new ArrayList();
        IAbstractFile[] files;

        files = getAllElements();
        for (int i = 0; i < files.length; i++)
        {
            if(files[i] instanceof IAbstractFolder)
            {
                folderList.add(files[i]);
            }
        }

        return (IAbstractFolder[]) folderList
                .toArray(new IAbstractFolder[folderList.size()]);
    }
}
