package viptool.impl.extension.gui.selector;

import java.awt.BorderLayout;
import java.awt.Color;
import java.util.Vector;

import javax.swing.JList;
import javax.swing.JPanel;

/**
 * This class extends JPanel and shows a list with the given extensions.
 */
public class ExtensionSelectorPanel extends JPanel{

	Vector extensions_;
	
	JList list_;
	
	public ExtensionSelectorPanel(Vector extensions){
		super();
		
		extensions_ = extensions;
			
		setBackground(Color.WHITE);
		setLayout(new BorderLayout());
		
		list_ = new JList(extensions_);
		
		add(list_, BorderLayout.CENTER);
		
	}
	
	/**
	 * This method returns an Array with the selected Objects
	 * 
	 * @return
	 * 		Array of Objects
	 */
	public Object[] getSelected(){
		return list_.getSelectedValues();
	}
}
