package viptool.impl.logger;

import java.util.Vector;

import viptool.logger.AbstractLogger;
import viptool.logger.ILogger;
import viptool.logger.LogObject;

public class StandardLogger extends AbstractLogger
{
    private int level_ = ILogger.DEFAULT_LEVEL;
    
    public void log(int level, String msg)
    {
        if(level < level_)
        {
            return;
        }
        
        LogObject logObject = new LogObject(level, msg);
        fireLogObjectAddedEvent(logObject);
    }

    public Vector getLogs()
    {
        return new Vector();
    }

    public void setLogLevel(int level)
    {
        level_ = level;
    }
}
