package viptool.impl.project.action;

import java.awt.event.ActionEvent;

import javax.swing.tree.TreePath;

import viptool.base.action.WindowAction;
import viptool.impl.project.ProjectGuiLinker;
import viptool.impl.project.gui.ProjectTreePane;
import viptool.project.IProjectTreeNode;


/**
 * This action deletes the element which is represented by the selected node.
 */
public class DeleteElementAction extends WindowAction{

	public void actionPerformed(ActionEvent event)
	{
		TreePath[] paths = ProjectTreePane.getInstance().getTree().getSelectionPaths();
		if(paths != null)
		{
			for(int i=0; i<paths.length; i++)
			{
				TreePath path = paths[i];
				Object node = path.getLastPathComponent();
				if(node instanceof IProjectTreeNode)
				{
					ProjectGuiLinker.getInstance().delete((IProjectTreeNode)node);
				}
			}
		}
	}
}
