package viptool.impl.project.action;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import viptool.base.action.WindowAction;
import viptool.impl.util.resources.ResourceLoader;
import viptool.util.Locale;
import viptool.util.resources.ResourceConstants;

public class EditDeletelistAction extends WindowAction{

	public EditDeletelistAction()
	{
		if(ResourceConstants.ICON_DELETELIST != null){
			putValue(AbstractAction.SMALL_ICON, ResourceLoader.getInstance().getIcon(ResourceConstants.ICON_DELETELIST));
		}
		if(Locale.ACCELERATOR_KEY_EDIT_DELETELIST != null){
			putValue(AbstractAction.ACCELERATOR_KEY, Locale.ACCELERATOR_KEY_EDIT_DELETELIST);
		}
		if(Locale.MNEMONIC_KEY_EDIT_DELETELIST != null){
			putValue(AbstractAction.MNEMONIC_KEY, Locale.MNEMONIC_KEY_EDIT_DELETELIST);
		}
		putValue(AbstractAction.SHORT_DESCRIPTION, Locale.SHORT_DESCRIPTION_EDIT_DELETELIST);
		putValue(AbstractAction.LONG_DESCRIPTION, Locale.LONG_DESCRIPTION_EDIT_DELETELIST);
		putValue(AbstractAction.NAME, Locale.MENUITEMNAME_EDIT_DELETELIST);
	}

	public void actionPerformed(ActionEvent e) {
		//TODO: implement
	}
}
