package viptool.impl.util.resources;

import java.util.prefs.Preferences;

import viptool.base.io.IFileInterpreterProvider;
import viptool.impl.text.io.TextFileProvider;
import viptool.impl.util.resources.action.ActionConstants;
import viptool.impl.util.resources.menu.MenuConstants;

/**
 * Class is needed to enable resourcename changes easily. All resources should
 * get a public static final String to be called by.
 */
public interface ResourceConstants extends
        viptool.util.resources.ResourceConstants, ActionConstants,
        MenuConstants
{
    // <><><><><><><><><><><><><><><><><><><><><>
    // other
    // <><><><><><><><><><><><><><><><><><><><><>
    public static final IFileInterpreterProvider DEFAULT_FILETYPE_PROVIDER = new TextFileProvider();

    public static final Preferences              PREFERENCES               = Preferences.userRoot();

    public static final String                   WORKSPACE_DEFAULT_NAME    = "default.wks";

    public static final String                   IMAGE_SPLASH_SCREEN       = "splash";

    public static final String                   VIPTOOL_VERSION           = "0.5.3";
}
