package viptool.project;

import java.util.Enumeration;

import javax.swing.event.TreeModelListener;
import javax.swing.tree.TreeModel;
import javax.swing.tree.TreePath;

public interface IProjectTreeModel extends TreeModel{
	
	public void addTreeModelListener(TreeModelListener l);
	
	public Object getChild(Object parent, int index);
	
	public int getChildCount(Object parent);
	
	public int getIndexOfChild(Object parent, Object child);
	
	public Object getRoot();
	
    public boolean isLeaf(Object node);
    
    void removeTreeModelListener(TreeModelListener l);
    
    void valueForPathChanged(TreePath path, Object newValue);
    

    
    
    
    public Enumeration getChildren(IProjectTreeNode node);
	
	public boolean addNode(IProjectTreeNode node);
    
	public boolean removeNode(IProjectTreeNode parent, int index);
	
	public boolean removeNode(IProjectTreeNode node);
	
	public boolean updateNode(IProjectTreeNode node);
}
