package viptool.util;

public class CommandLineParser
{
    private String[] args_;
    
    public CommandLineParser(String[] args)
    {
        args_ = args;
    }
    
    
    public String getArgument(String option)
    {
        for(int i = 0; i < args_.length; i++)
        {
            if(args_[i].equals(option))
            {
                i++;
                if(i < args_.length)
                {
                    return args_[i];
                }
                else
                {
                    break;
                } // end if (argument given)
                
            } // end if (option found)
            
        } // end for
        
        return null;
    }
    
    public boolean isOptionSet(String option)
    {
        for(int i = 0; i < args_.length; i++)
        {
            if(args_[i].equals(option))
            {
                return true;
            }
        }
        
        return false;
    }
}
