package viptool.util;

import java.io.PrintStream;

public class IndentionStream
{
    private PrintStream  stream_;
    private StringBuffer indention_;

    public IndentionStream(PrintStream stream)
    {
        stream_ = stream;
        indention_ = new StringBuffer();
    }

    public void indent()
    {
        indent(1);
    }

    public void unindent()
    {
        unindent(1);
    }

    public void indent(int indentation)
    {
        indention_.ensureCapacity(indention_.length() + indentation);
        for (int i = 0; i < indentation; i++)
        {
            indention_.append('\t');
        }
    }

    public void unindent(int unindentation)
    {
        unindentation = Math.min(indention_.length(), unindentation);
        indention_.delete(0, unindentation);
    }

    public void println(String string)
    {
        stream_.print(indention_);
        stream_.println(string);
    }

}
