package viptool.util.resources;

import java.awt.Cursor;
import java.awt.Image;
import java.awt.Point;
import java.net.URI;

import javax.swing.Icon;

public interface IResourceLoader
{
    public URI getResource(String resource);

    public URI getResource(String base, String resource);

    public Cursor getCursor(String name);

    public Cursor getCursor(String name, Point hotspot);

    public Icon getIcon(String name);

    public Image getImage(String name);

    public Cursor getCursor(Image image);

    public Cursor getCursor(Image image, Point hotspot);
}
